Loading...
Searching...
No Matches
BALL::BindingPocketProcessor::Option Struct Reference

`#include <BALL/STRUCTURE/bindingPocketProcessor.h>`

## Static Public Attributes

static const String | HEAVY_ONLY
| use only heavy atoms for computation
static const String | PARSE_INI_FILE
| try to parse ini-file
static const String | INI_FILE_NAME
| name of the ini-file
static const String | RADIUS_HYDROGEN
| atom radius of individual elements
static const String | RADIUS_OXYGEN
static const String | RADIUS_NITROGEN
static const String | RADIUS_CARBON
static const String | RADIUS_SULFUR
static const String | PROBE_SPHERE_RADIUS
| probe sphere radius for computation with hydrogen atoms
static const String | PROBE_SPHERE_RADIUS_HYDROGEN_FREE
| probe sphere radius for heavy atoms only
static const String | PROBE_LAYER_RADIUS
| probe radius for colision of probes in one layer
static const String | BURIAL_COUNT_THRESHOLD
| burial count threshold for computation with hydrogen atoms
static const String | BURIAL_COUNT_THRESHOLD_HYDROGEN_FREE
| burial count threshold for heavy atoms only
static const String | BURIAL_COUNT_RADIUS
| radius for the computation of the burial count
static const String | PW_SQUARE_WELL
| options for the computation of the probe weight
static const String | PW_GAUSSIAN_WIDTH
static const String | PW_MAX_DISTANCE
static const String | MAX_ASPS
| maximum number of active site points
static const String | CLASH_FACTOR
static const String | ASP_SEPERATION
| minumum distance between two active site points

## Detailed Description

Options

Definition at line 48 of file bindingPocketProcessor.h.

## Member Data Documentation

## ASP_SEPERATION

const String BALL::BindingPocketProcessor::Option::ASP_SEPERATION

static

minumum distance between two active site points

Definition at line 85 of file bindingPocketProcessor.h.

## BURIAL_COUNT_RADIUS

const String BALL::BindingPocketProcessor::Option::BURIAL_COUNT_RADIUS

static

radius for the computation of the burial count

Definition at line 75 of file bindingPocketProcessor.h.

## BURIAL_COUNT_THRESHOLD

const String BALL::BindingPocketProcessor::Option::BURIAL_COUNT_THRESHOLD

static

burial count threshold for computation with hydrogen atoms

Definition at line 71 of file bindingPocketProcessor.h.

## BURIAL_COUNT_THRESHOLD_HYDROGEN_FREE

const String BALL::BindingPocketProcessor::Option::BURIAL_COUNT_THRESHOLD_HYDROGEN_FREE

static

burial count threshold for heavy atoms only

Definition at line 73 of file bindingPocketProcessor.h.

## CLASH_FACTOR

const String BALL::BindingPocketProcessor::Option::CLASH_FACTOR

static

Definition at line 83 of file bindingPocketProcessor.h.

## HEAVY_ONLY

const String BALL::BindingPocketProcessor::Option::HEAVY_ONLY

static

use only heavy atoms for computation

Definition at line 51 of file bindingPocketProcessor.h.

## INI_FILE_NAME

const String BALL::BindingPocketProcessor::Option::INI_FILE_NAME

static

name of the ini-file

Definition at line 55 of file bindingPocketProcessor.h.

## MAX_ASPS

const String BALL::BindingPocketProcessor::Option::MAX_ASPS

static

maximum number of active site points

Definition at line 81 of file bindingPocketProcessor.h.

## PARSE_INI_FILE

const String BALL::BindingPocketProcessor::Option::PARSE_INI_FILE

static

try to parse ini-file

Definition at line 53 of file bindingPocketProcessor.h.

## PROBE_LAYER_RADIUS

const String BALL::BindingPocketProcessor::Option::PROBE_LAYER_RADIUS

static

probe radius for colision of probes in one layer

Definition at line 69 of file bindingPocketProcessor.h.

## PROBE_SPHERE_RADIUS

const String BALL::BindingPocketProcessor::Option::PROBE_SPHERE_RADIUS

static

probe sphere radius for computation with hydrogen atoms

Definition at line 65 of file bindingPocketProcessor.h.

## PROBE_SPHERE_RADIUS_HYDROGEN_FREE

const String BALL::BindingPocketProcessor::Option::PROBE_SPHERE_RADIUS_HYDROGEN_FREE

static

probe sphere radius for heavy atoms only

Definition at line 67 of file bindingPocketProcessor.h.

## PW_GAUSSIAN_WIDTH

const String BALL::BindingPocketProcessor::Option::PW_GAUSSIAN_WIDTH

static

Definition at line 78 of file bindingPocketProcessor.h.

## PW_MAX_DISTANCE

const String BALL::BindingPocketProcessor::Option::PW_MAX_DISTANCE

static

Definition at line 79 of file bindingPocketProcessor.h.

## PW_SQUARE_WELL

const String BALL::BindingPocketProcessor::Option::PW_SQUARE_WELL

static

options for the computation of the probe weight

Definition at line 77 of file bindingPocketProcessor.h.

## RADIUS_CARBON

const String BALL::BindingPocketProcessor::Option::RADIUS_CARBON

static

Definition at line 61 of file bindingPocketProcessor.h.

## RADIUS_HYDROGEN

const String BALL::BindingPocketProcessor::Option::RADIUS_HYDROGEN

static

atom radius of individual elements

Definition at line 58 of file bindingPocketProcessor.h.

## RADIUS_NITROGEN

const String BALL::BindingPocketProcessor::Option::RADIUS_NITROGEN

static

Definition at line 60 of file bindingPocketProcessor.h.

## RADIUS_OXYGEN

const String BALL::BindingPocketProcessor::Option::RADIUS_OXYGEN

static

Definition at line 59 of file bindingPocketProcessor.h.

## RADIUS_SULFUR

const String BALL::BindingPocketProcessor::Option::RADIUS_SULFUR

static

Definition at line 62 of file bindingPocketProcessor.h.